This is LIGO document number P2000128, available at the LIGO DCC.\footnote{
\url{https://dcc.ligo.org/LIGO-P2000128}} I carried out this work being a
part of the LIGO Scientific Collaboration (LSC), the intermediate Palomar
Transient Factory (iPTF), and Zwicky Transient Facility (ZTF) collaborations.
The work for Chapter~\ref{chapter:em-bright} is supported by National Science
Foundation (NSF) grant no. PHY-1607585, PHY-1626190, PHY-1700765, and PHY-1912649.
I acknowledge the use of computing resources of the LIGO Data Grid and facilities
provided by Leonard E. Parker Center for Gravitation, Cosmology, and Astrophysics
(CGCA) at the University of Wisconsin-Milwaukee (UWM). The work for Chapter~\ref{chapter:iptf-rates}
is supported by Global Relay of Observatories Watching Transients Happen (GROWTH)
project under NSF grant no. 1545949. The research used resources of the National
Energy Research Scientific Computing Center (NERSC) supported by the Office of
Science of the U.S. Dept. of Energy under Contract No. DE-AC02-05CH11231. I
also acknowledge the use of computing facilities provided by CGCA and the
UWM High Performance Computing (HPC) services.

The (almost) five years in Milwaukee have gone by before I realized. But it
has contributed a lot to my understanding of physics, and the current state of
research in gravitational-wave (GW) astronomy and astrophysics. It has been a
unique experience being a part of the first few years of discovery
of what may become (in some sense it already has) routine GW astronomy. Part
of my reason to pursue graduate school in the U.S. was the graduate level
coursework offered in most U.S. universities which is something I thoroughly
enjoy. While my research is broadly in astronomy/astrophysics, I have taken
the advantage of the breadth of courses offered at UWM. I would like to thank
the UWM physics faculty for the amazing graduate level coursework. A few of
my favorite lectures were those in GW astrophysics and data analysis by Jolien
Creighton, stellar/high-energy astrophysics by David Kaplan/Phil Chang,
statistical field theory by Daniel Agterberg, quantum field theory by John
Friedman/Phil Chang, and general relativity by Patrick Brady. Also, in
particular, thank you Alan Wiseman for the amazing two-semester course
on electromagnetism. I am still able to commit from memory (and probably
be able to in future) the expression,
\begin{equation*}
    \frac{1}{|\textbf{x} - \textbf{x}'|} =
        \sum_{lm} \frac{4\pi}{2l+1} \frac{r_{<}^l}{r_{>}^{l+1}}Y_{lm}^{* '}Y_{lm}.
\end{equation*}

I am grateful to my doctoral advisor, Patrick Brady, for guiding me during
this time, for giving novel ideas in research, giving a sense of where the field is
headed, supporting me to travel to (many) conferences and face-to-face
meetings, and giving me the freedom to work. I am also grateful to Jolien
Creighton and David Kaplan for co-advising me during this time, and for being
the go-to people for research related queries. Indeed, the last few years of
the second and third observing runs have been \emph{super}-eventful. 

I would like to thank Shaon Ghosh, who overlapped with me in space, time,
and research in both GW and astronomy front. Thank you for being a mentor
and an amazing colleague. There are several work/personal experiences that
come to memory, including the morning frenzy of August 17, 2017.\footnote{The
first merging binary neutron star GW170817 was discovered on this day.} I would
like to thank Leo Singer, working with whom I learned several computational tools,
tricks, and best practices which will be useful in my future career. I would
like to thank Shasvath Kapadia for the work in the low-latency classification we
shared during the third observing run. For the work related to iPTF, I would
specially like to thank Chris Cannella for all the help and conversations, work
and otherwise, while at Caltech during the inception of the work in
Chapter~\ref{chapter:iptf-rates}. I would also thank Mansi Kasliwal for
hosting me during my visit, Peter Nugent for the guidance at every
step of the project, Lin Yan, Uli Fiendt and Angie Van Sistine for
helpful discussions. 

Thank you Siddharth Mohite, Brandon Piotrzkowski, Logan Prust, Satyanshu
Kumar, Chandramouli Banerjee, Ignacio Maga\~{n}a, Chaoran Zhang, Alex McEwen,
Casey McGrath, Ian Brown, Caitlin Rose, Christian Horst, Christian Parsons,
Dan Murray for being amazing people around me for work/fun related everything.
I would like to thank Adil Amin, for being a great friend and roommate for the
last four years, always willing to be ears when needed. I will miss the late
night working on problem sets, getting pizza at Sal's, the amazing coffee
at Eighth Note coffee house and the entertaining conversations there. I would
like to thank my \emph{peeps} -- Ashani Dasgupta, Bapun K Giri, Mrinmayi Kulkarni,
and Sarwat Sharif -- for the friendship and support. Let's say, we have been
in it together.

I would like to thank the UWM physics and CGCA staff for making it unknowingly
easy to navigate certain steps related to travel and communication with the
administration. In particular, thank you Heidi Matera for all your help in
travel related complexities and otherwise.

Finally, I would like to thank my parents, Debasish and Suchita, for their
constant support, love, advice, inspiration, and for always emphasizing to
strive for excellence. Last but not the least, I would like to thank my
long time friend and now fianc\'{e}e, Sanchari Datta, for being through thick
and thin, and (more importantly) for sheltering me during the ongoing
COVID-19 pandemic, which finds me stuck in-shelter in Dallas, TX to finish
writing up this thesis.
